/***************************************************************************
 *   Copyright (C) 2004 by Petric Frank                                    *
 *   pfrank@gmx.de                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "ctl-function.h"
#include <sys/xattr.h>
#include <iostream>



ctl_function::ctl_function ()
{
}



ctl_function::~ctl_function ()
{
}



bool ctl_function::display_log (const char *item)
{
  int size;

  // obtain the size of the buffer needed
  size = lgetxattr (item, "getlog", 0, 0);
  if (size < 2)
    return false;

  // display the log
  char *log = new char[size];
    
  if (lgetxattr (item, "getlog", log, size) == size)
    std::cout << log;

  delete [] log;
  
  return true;
}
